Skip to main content
Resource Center/Network Resource/Policy Routing Operations
POSTPolicy Routing OperationsSince 3.6.0SynchronousAuth Required

CreatePolicyRouteRuleSet

CreatePolicyRouteRuleSet

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • nameStringRequired

      The resource name.

    • descriptionString

      Optional. The detailed description of the resource.

    • vRouterUuidStringRequired

      The vRouter UUID.

    • typeString

      Optional. The type.

    • resourceUuidString

      Optional. The resource UUID.

    • tagUuidsList

      Optional. The tag UUID list.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryPolicyRouteRuleSetInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • typeStringRequired

      类型。

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • rulesListRequired

      See rules

      • uuidStringRequired

        The resource UUID.

      • ruleNumberintRequired

        The priority.

      • ruleSetUuidStringRequired

        The UUID of the policy route rule set.

      • tableUuidStringRequired

        The policy route table UUID.

      • destIpStringRequired

        The destination IP address.

      • sourceIpStringRequired

        The source IP address.

      • destPortStringRequired

        The destination port.

      • sourcePortStringRequired

        The source port.

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

      • protocolPolicyRouteRuleProtocolRequired

        See protocol.

        • tcpPolicyRouteRuleProtocolRequired

          No description provided.

        • udpPolicyRouteRuleProtocolRequired

          No description provided.

      • statePolicyRouteRuleStateRequired

        See state.

        • enablePolicyRouteRuleStateRequired

          启用。

        • disablePolicyRouteRuleStateRequired

          禁用。

    • l3RefsListRequired

      See l3Refs.

      • idlongRequired

        资源ID。

      • l3NetworkUuidStringRequired

        The L3 network UUID.

      • ruleSetUuidStringRequired

        规则设置UUID。

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

Endpoint

POST/zstack/v1/policy-routes/rulesets

/zstack/v1/policy-routes/rulesets

Operation ID

CreatePolicyRouteRuleSet

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/policy-routes/rulesets' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"name":"<name>","description":"<description>","vRouterUuid":"<vRouterUuid>","type":"<type>","resourceUuid":"<resourceUuid>","tagUuids":["<tagUuids>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "name": "name", "description": "example-des", "rules": [ { "uuid": "74cc4fed46f633f2a618b0e06d122377", "ruleNumber": 1.0, "ruleSetUuid": "00693e31fa3b3e3fba017ed714c02cdf", "tableUuid": "b273e0c273c03559872efa272194492c", "destIp": "192.168.1.1", "sourceIp": "10.0.0.1", "destPort": "22", "sourcePort": "80", "protocol": "tcp", "state": "enable" } ] } }

Change History

This API has no change history records yet.

View all change history